<?PHP
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

require 'PHPMailer/PHPMailer.php';
require 'PHPMailer/SMTP.php';
require 'PHPMailer/Exception.php';

include_once 'bd/conexion.php';
$objeto = new Conexion();
$conexion = $objeto->Conectar();

$proc       = trim($_POST['proc']);
$nAuth      = trim($_POST['nAuth']);
$fechaAuth  = trim($_POST['fechaAuth']);
$correo     = trim($_POST['correo']);
$hospital   = trim($_POST['hospital']);
$hospitalN  = trim($_POST['hospitalN']);
$idCita     = trim($_POST['idCita']);
$idEsp      = trim($_POST['idEsp']);

$consulta = "INSERT INTO `ASIGNACION`(`id_cita`, `id_hospital`, `id_especialidad`, `num_autorizacion`, `fecha_asignacion`) VALUES ($idCita,$hospital,$idEsp,'$nAuth','$fechaAuth')";
$resultado = $conexion->prepare($consulta);
$resultado->execute();

if ($resultado->rowCount() > 0) {
    $consultaA = "SELECT MAX(id_asignacion) AS 'id_asignacion' FROM `ASIGNACION`";
    $resultadoA = $conexion->prepare($consultaA);
    $resultadoA->execute();
    $dataA=$resultadoA->fetch(PDO::FETCH_ASSOC);
    $idA = $dataA['id_asignacion'];
    
    $arr = explode(",",$proc);
    
    foreach ($arr as $valor) {
        $SqlC = "INSERT INTO `ASIGNACION_PROCEDIMIENTOS`(`id_asignacion`, `id_procedimiento`) VALUES ($idA,$valor)";
        $resultadoC = $conexion->prepare($SqlC);
	    $resultadoC->execute();
    }

	if ($resultadoC->rowCount() > 0) {
	    $consultaU = "UPDATE `CITAS` SET `asignada` = '1' WHERE `CITAS`.`id_cita` = $idCita";
        $resultadoU = $conexion->prepare($consultaU);
        $resultadoU->execute();
        if ($resultadoU->rowCount() > 0) {
            //include_once "http://pruebapaginasapp.ibx.lat/enviar.php?hospital=".$hospitalN."&fechaAuth=".$fechaAuth."&correo=".$correo;
            
            $mail = new PHPMailer(true);

            try {
                //Server settings
                $mail->SMTPDebug = 0;                                                // Enable verbose debug output
                $mail->isSMTP();                                                     // Send using SMTP
                $mail->Host       = 'mail.pruebapaginasapp.ibx.lat';                 // Set the SMTP server to send through
                $mail->SMTPAuth   = true;                                            // Enable SMTP authentication
                $mail->Username   = 'clinicatolimasas@pruebapaginasapp.ibx.lat';     // SMTP username
                $mail->Password   = 'Velociraptor01!';                               // SMTP password
                $mail->SMTPSecure = 'ssl';                                           // tls or ssl
                $mail->Port       = 465;                                             // TCP port to connect to, use 465 for `PHPMailer::ENCRYPTION_SMTPS` above
            
                //Recipients
                $mail->setFrom('clinicatolimasas@pruebapaginasapp.ibx.lat', 'Notificación al Usuario');
                $mail->addAddress($correo);
                
                // Attachments
                //$mail->addAttachment('/var/tmp/file.tar.gz');         // Add attachments
                //$mail->addAttachment('/tmp/image.jpg', 'new.jpg');    // Optional name
            
                // Content
                $mail->isHTML(true);                                  // Set email format to HTML
                $mail->Subject = 'Asignación Citas';
                $mail->Body    = 'Su cita ha sido asignada en la siguiente fecha: <b>'.$fechaAuth.'</b> en el hospital: '.$hospitalN;
                
                $mail->CharSet = 'UTF-8';
            
                $mail->send();
                echo 1;
            } catch (Exception $e) {
                echo "Message could not be sent. Mailer Error: {$mail->ErrorInfo}";
            }
        }else{
            echo "No se actualizó la cita.";
        }
	}else{
		echo "No se registró los procedimientos.";
	}
}else{
	echo "No se registró la asignacion.";
}
ob_end_flush();
?>